Subject: bug#49916: closed (Re: bug#49916: etc/committer: backtrace on gexp)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 07 Aug 2021 12:07:03 +0000

Your bug report

#49916: etc/committer: backtrace on gexp

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
49916: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=49916
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#49916: etc/committer: backtrace on gexp
From: Ricardo Wurmus <[email-masked]>
To: Maxime Devos <[email-masked]>
Cc: [email-masked], Sarah Morgensen <[email-masked]>
Date: Sat, 07 Aug 2021 14:06:25 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Maxime Devos <[email-masked]> writes:

> Sarah Morgensen schreef op vr 06-08-2021 om 12:18 [-0700]:
>> Hello Guix,
>> 
>> (Ricardo, I've Cc'd you since it seems etc/committer.scm is 
>> mostly your
>> work.)
>> 
>> It looks like etc/committer.scm is choking on gexps on 
>> core-updates-frozen:
>> [...]
>
> The patch <http://issues.guix.gnu.org/48120#3> should fix this.

I’ve just pushed that one.  Thank you!

-- 
Ricardo

Subject: etc/committer: backtrace on gexp
From: Sarah Morgensen <[email-masked]>
To: [email-masked]
Date: Fri, 06 Aug 2021 12:18:11 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Guix,

(Ricardo, I've Cc'd you since it seems etc/committer.scm is mostly your
work.)

It looks like etc/committer.scm is choking on gexps on core-updates-frozen:

--8<---------------cut here---------------start------------->8---
~/guix-cu-frozen [env]$ etc/committer.scm
ice-9/read.scm:126:4: In procedure read-expr*:
gnu/packages/games.scm:13005:11: Unknown # object: "#~"
--8<---------------cut here---------------end--------------->8---

...and this is the offending package:

--8<---------------cut here---------------start------------->8---
(define-public 0ad-data
  (package
    (name "0ad-data")
    (version "0.0.23b-alpha")
    (source
     (origin
       (method url-fetch)
       (uri (string-append "https://releases.wildfiregames.com/0ad-"
                           version "-unix-data.tar.xz"))
       (file-name (string-append name "-" version ".tar.xz"))
       (sha256
        (base32
         "04x7729hk6zw1xj3n4s4lvaviijsnbjf5rhzvjxlr5fygvg4l6z1"))
       (modules '((guix build utils)))
       (snippet
        #~(begin
            (for-each (lambda (name)
                        (let* ((dir (string-append "binaries/data/mods/" name))
                               (file (string-append dir "/" name ".zip"))
                               (unzip #$(file-append unzip "/bin/unzip")))
                          (invoke unzip "-d" dir file)
                          (delete-file file)))
                      '("mod" "public"))
            #t))))
    (build-system trivial-build-system)
--8<---------------cut here---------------end--------------->8---

I think with the changes from new style inputs, gexps in packages are
going to become more common, so etc/committer.scm should support them.

WDYT?

--
Sarah